POST Agents/EMail/SyncEmailAccounts
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/EMail/SyncEmailAccounts
Start syncing of the given accounts, from mail server to SuperOffice database cache.
Only one of these API calls may run at a time. If one is already active, we return after 1 (one) second, with no indication that the sync was not really started. This is a way to throttle sync'ing to avoid making the mail servers angry at us. <br/> There is an <b>additional</b> level of throttling within the implementation as well, limiting us to a maximum of 10 tasks, regardless of how many associates are to to be sync'ed. The outer, API-level lock is released when all those tasks are done. NsApiSlow threshold: 5000 ms.
Online Restricted: ## The EMail agent is not available in Online by default. Access must be requested specifically when app is registered.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/EMail/SyncEmailAccounts?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
SyncUserAccounts
| Property Name | Type | Description |
|---|---|---|
| SyncUserAccounts | Array |
Response:
No Content
| Response | Description |
|---|---|
| 204 | No Content |
Response body: TimeZoneData
Sample request
POST /api/v1/Agents/EMail/SyncEmailAccounts
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"SyncUserAccounts": [
{
"AccountId": 235,
"AssociateName": "Macejkovic, Sipes and Wunsch",
"AssociateId": 131
},
{
"AccountId": 235,
"AssociateName": "Macejkovic, Sipes and Wunsch",
"AssociateId": 131
}
]
}
Sample response
HTTP/1.1 204 No Content
Content-Type: application/json; charset=utf-8
null